var $atendimento;
var $cadastro;
var $captura;
var $idCap;

$(window).on('load', function(){
    
    
});



$('body').on('click','.btnNegarAtendimento', function(){
    
    $data = {
        id: $idCap,
        motivo: $('#motivo').val(),
        
    }
    
    get_ajax_atendimento('finaliza_atendimento', 
        r =>{
            alert(r.msg);
            location.reload();
        }, 
        erro =>{
            alert(erro.msg);
        }, $data)
    
    
});
$('body').on('click','.set_leed', function(){
    
    $idCap = $(this).data('id');
    
});


$('body').on('click','.trData', function(){
    
    $atendimento = $(this).data('atendimento').atendimento;
    $cadastro    = $(this).data('atendimento').cadastro;
    $captura     = $(this).data('atendimento').captura;
    
    $trCad = '';
    for($key in $cadastro )
    { 
        if(!($cadastro[$key] == '' || $cadastro[$key] == 0))
            $trCad += '<tr><td>'+$key+'</td><td>'+$cadastro[$key]+'</td><td>';
    }
    
    $trCap = '';
    for($i in $captura )
    {
        $trCap += '<table class="table table-responsive"><tbody class="tbodyCaptura">'
        $trCap += '<tr><th><tr><th>'+$captura[$i]['origem_captura']+'</th><th>'+$captura[$i]['datetime_captura']+'</th><th>';
        
        for($key in $captura[$i] )
        { 
            $cap = $captura[$i];
            if(!($cap[$key] == '' || $cap[$key] == 0))
                $trCap += '<tr><th>'+$key+'</th><td>'+$cap[$key]+'</td><td>';
        }
        
        $trCap +='</tbody></table>'
    }
    $trAtend = '';
    for($i in $atendimento )
    {
        $atend = $atendimento[$i];
        $trAtend += '<tr><th>'+$atend['id_user']+'</th><td>'+$atend['data_hora']+'</td><td>';
    }
    //datetime_captura
    $('.tbodyCaptura').html($trCap);
    $('.tbodyCadastro').html($trCad);
    $('.tbodyAtendimento').html($trAtend);
});


$('body').on('click','.addAtendimentoElleven', function(){
    
    console.log($(this).data('atendimento'));
    
    $.ajax({
		url: base_url+"administrativo/ajax/atendimento_ajax/ini_atendimento",
		dataType: 'json',
		type: 'POST',
		data: $(this).data('atendimento'),
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {
		        document.location.href = base_url+'administrativo/atendimento/atendimentos_elleven/'+retorno.id_atendimento;
		    }
		    else
		    {
		        
		    }
		},
		error: function(error)
		{
			console.log(error);
		}
	});	
    
});

$('body').on('click','.addAtendimentoGeral', function(){
    
    
    
    console.log($(this).data('atendimento'));
    var interesse = $(this).data('interesse');
    
    if(interesse == "" ||  interesse == undefined){
        interesse = 'outros';
    }
    
    $.ajax({
		url: base_url+"administrativo/ajax/atendimento_ajax/ini_atendimento",
		dataType: 'json',
		type: 'POST',
		data: $(this).data('atendimento'),
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {
		        document.location.href = base_url+'administrativo/atendimento/atendimento_geral/'+interesse+'/'+retorno.id_atendimento;
		    }
		    else
		    {
		        
		    }
		},
		error: function(error)
		{
			console.log(error);
		}
	});	
    
});


$('.formHistoricoAtendimento').submit(function(event){	
    event.preventDefault();
    
    loadButton($('.salvar_atendimento'));
    
    data = {
        id_atendimento          :$('.id_atendimento').val(),
        id_user                 :$('.id_user').val(),
        data_hora               :$('.data_hora').val(),
        tipo_interesse          :$('.tipo_interesse').val(),
        observacao              :$('.observacao').val(),
        proximo_contato         :$('.proximo_contato').val(),
        proximo_contato_motivo  :$('.proximo_contato_motivo').val(),
    }
    
    $.ajax({
    		url: base_url+"administrativo/ajax/atendimento_ajax/add_atendimento",
    		dataType: 'json',
    		type: 'POST',
    		data: data,
    		success: function(retorno)
    		{	
    		    if(retorno.valid == true)
    		    {
    		        history.go(-1);
    		    }
    		    else
    		    {
    		        loadButton(null,false);
    			    alert(retorno.msg);
    			    console.log(retorno);
    		    }
    		    
    		},
    		error: function(error)
    		{
    		    loadButton(null,false);
    		    alert('erro');
    			console.log(error);
    		}
    	});
    
    
    
    
});


$('body').on('click','.voltar_pagina', function(){
    history.go(-1);
});



$('body').on('click','.addAtendimento', function(){
    
    console.log($(this).data('atendimento'));
    
    $.ajax({
		url: base_url+"administrativo/ajax/atendimento_ajax/ini_atendimento",
		dataType: 'json',
		type: 'POST',
		data: $(this).data('atendimento'),
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {
		        document.location.href = base_url+'administrativo/atendimento/atendimentos/'+retorno.id_atendimento+'/add';
		    }
		    else
		    {
		        
		    }
		},
		error: function(error)
		{
			console.log(error);
		}
	});	
    
    
    
});


//Callbeck erro ajax
$error = function error(r){console.log(r)};


/*
function get_ajax_atendimento

$func = nome da funcao no php
$success = funcao Callbeck, exemplo = "retorno =>{alert('deu bom');}"
$error = funcao Callbeck
$data = objeto passado no post ajax
*/
function get_ajax_atendimento($func, $success, $error, $data = []){
    
    $.ajax({
		url: base_url+"administrativo/ajax/atendimento_ajax/"+$func, 
		dataType: 'json',
		type: 'POST',
		data: $data,
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {   
		        $success(retorno);
		    }
		    else
		    {
		        $error(retorno);
		    }
		},
		error: function(error)
		{
		    $error(error);
		}
    });
    
 }